@rem Copyright IBM Corp. 2001
@echo off
setlocal

call "%~dp0setupCmdLine.bat"

@REM CONSOLE_ENCODING controls the output encoding used for stdout/stderr
@REM    console - encoding is correct for a console window
@REM    file    - encoding is the default file encoding for the system
@REM    <other> - the specified encoding is used.  e.g. Cp1252, Cp850, SJIS

SET CONSOLE_ENCODING=-Dws.output.encoding=console

:PARSE_ARGS
if $%1$==$$ goto SET_PATH
if $%1$==$-debug$ goto DEBUG
if $%1$==$-oltenabled$ goto OLT
set ARGS=%ARGS% %1
shift;
goto PARSE_ARGS

:OLT
set OLT_HOST=localhost
set OLT_PORT=2102

:PARSE_OLT_ARGS
shift;
if $%1$==$-host$ goto SET_OLT_HOST
if $%1$==$-port$ goto SET_OLT_PORT
goto SET_OLT_OPTIONS

:SET_OLT_PORT
shift;
set OLT_PORT=%1
goto PARSE_OLT_ARGS

:SET_OLT_HOST
shift;
set OLT_HOST=%1
goto PARSE_OLT_ARGS

:SET_OLT_OPTIONS
set OLT_OPTIONS=-Dcom.ibm.CORBA.EnableApplicationOLT=true -Dcom.ibm.CORBA.OLTApplicationHost=%OLT_HOST% -Dcom.ibm.CORBA.OLTApplicationPort=%OLT_PORT% 
goto PARSE_ARGS

:DEBUG
set DEBUG_CP=""

:PARSE_DEBUG_ARGS
shift;
if $%1$==$-debug_cp$ goto SET_DEBUG_CLASSPATH
goto SET_DEBUG_OPTIONS

:SET_DEBUG_CLASSPATH
shift;
set DEBUG_CP=%1
goto PARSE_DEBUG_ARGS

:SET_DEBUG_OPTIONS
set JDWP_PORT=7777
set DEBUG_OPTIONS=-Xdebug -Xnoagent -Xbootclasspath/a:"%JAVA_HOME%/lib/tools.jar" -Xrunjdwp:transport=dt_socket,server=y,suspend=n,address=%JDWP_PORT% -Djava.compiler=NONE -Dcom.ibm.debug.jdwpport=%JDWP_PORT% -Denv.class.path=%DEBUG_CP% -Dcom.ibm.CORBA.requestTimeout=0 -Dwas.debug.enabled=true

goto PARSE_ARGS

:SET_PATH
set PATH=%PATH%;%WAS_HOME%\bin

%JAVA_HOME%\bin\java %CONSOLE_ENCODING% %OLT_OPTIONS% %DEBUG_OPTIONS% %SERVERSAS% -Dserver.root=%WAS_HOME% -Dcom.ibm.itp.location=%WAS_HOME%/bin  -Dws.ext.dirs=%WAS_EXT_DIRS% -classpath %WAS_CLASSPATH% com.ibm.ws.bootstrap.WSLauncher com.ibm.ws.runtime.StandardServer %ARGS%

@endlocal
