#!/bin/sh
#Ejbdeploy.sh for unix

binDir=`dirname $0`
. $binDir/setupCmdLine.sh

# Function to actually invoke the deploytool on a file.
run()
{
  PLATFORM=`/bin/uname`
}

#function to display the syntax of the command
syntax()
{
    echo "EJBDeploy"
    echo "Syntax: EJBDeploy inputJar workingDirectory outputJar [options]"
    echo "Options: "
    echo "  -cp <zip/jar files separated by ;>  classpath"
    echo "  -codegen    Only generate the deployment code, do not run RMIC or Javac"
    echo "  -dbname name      The name of the database to create"
    echo "  -dbschema schema  The name of the schema to create"
    echo "  -dbvendor DBTYPE  Set the database vendor type, to one of:"
    echo "            SQL92 SQL99 DB2UDBWIN_V71 DB2UDBWIN_V72 DB2UDBWIN_V81"
    echo "            DB2UDBOS390_V6 DB2UDBOS390_V7 DB2UDBAS400_V4R5 DB2UDBAS400_V5"
    echo "            ORACLE_V8 ORACLE_V9I INFORMIX_V73 INFORMIX_V92 SYBASE_V1192"
    echo "            SYBASE_V1200 MSSQLSERVER_V7 MSSQLSERVER_2000 MYSQL_V323"
    echo "  -keep          Do not delete the contents of the working directory"
    echo "  -ignoreErrors  Do not halt for compilation or validation errors"
    echo "  -quiet         Only output errors, suppress informational messages"
    echo "  -novalidate    Disable the validation steps"
    echo "  -nowarn        Disable warning and informational messages"
    echo "  -noinform      Disable informational messages"
    echo "  -rmic options  Set additional options to use for RMIC"
    echo "  -35            Use the WebSphere 3.5 compatible mapping rules"
    echo "  -trace         Enable internal tracing"

    exit 0
}

# Provide user help if no arguments...
if [ "$1" = "" ] ; then
   syntax
fi

# Spit out minor error about itp loc not being set.
if [ "$ITP_LOC" = "" ] ; then
    echo "need to set ITP_LOC"
fi

# Set the classpath needed for the deploytool
itp_cp=$ITP_LOC/plugins/org.eclipse.core.boot/boot.jar
ejbd_cp=$ITP_LOC/plugins/com.ibm.etools.ejbdeploy/runtime/batch.jar
ws_cp=$WAS_HOME/lib/xerces.jar:$WAS_HOME/lib/ivjejb35.jar:$WAS_HOME/lib/j2ee.jar:$WAS_HOME/lib/vaprt.jar

finput=$1
fworking=$2
foutput=$3

# set options for ejb deploy....
shift
shift
shift
ejbdopts="$@"
export itp_cp ejbd_cp finput fworking foutput ejbdopts
run
$JAVA_HOME/jre/bin/java \
  -Xms64m -Xmx256m \
  -Dwebsphere.lib.dir=$WAS_HOME/lib \
  -cp $ws_cp:$ejbd_cp:$itp_cp \
  com.ibm.etools.ejbdeploy.EJBDeploy $finput $fworking $foutput "$@"
