<%@ page language="java" %>

<%@ taglib uri="/WEB-INF/app.tld" prefix="app" %>
<%@ taglib uri="/WEB-INF/ibm_logic.tld" prefix="ibm_logic" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="struts_bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="struts_logic" %>
<%@ taglib uri="/WEB-INF/struts.tld" prefix="struts" %>

<app:detectLocale/><app:checkLogon/>

<jsp:useBean
    id="user"
    scope="session"
    class="com.ibm.ejs.sm.web.common.User"/>

<html>

<head>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=*">
    <meta http-equiv="Expires" content="0">

    <script language="JavaScript" src="scripts/menu_functions.js">
    </script>

    <script language="JavaScript">
        if (isNav4) {
            document.write("<link rel='stylesheet' href='css/was_style_ns.css'>");
        } else if (isIE) {
            if (isDom)
                document.write("<link rel='stylesheet' href='css/was_style_ns.css'>");
            else
                document.write("<link rel='stylesheet' href='css/was_style.css'>");
        }
    </script>
</head>

<body class="content">
    <jsp:useBean
        id="traceServiceConfigForm"
        scope="session"
        class="com.ibm.ejs.sm.web.applicationserver.TraceServiceConfigForm"/>

    <jsp:useBean
        id="traceServiceConfig"
        scope="session"
        class="com.ibm.ejs.models.base.config.applicationserver.TraceServiceConfig"/>

    <struts_bean:define
        id="traceServiceConfigRefId"
        name="traceServiceConfig"
        property="refId"/>

    <% session.setAttribute("lastPage", "TraceServiceConfigDetails"); %>

    <span class="information">
        <ibm_logic:errors/>
    </span>

    <!--EDITABLE-->

    <struts:ifPropertyNotEquals name="traceServiceConfigForm" property="action" value="ReadOnly">

        <!-- Actions from this form are mapped to the
          -- 'SaveTraceServiceConfigAction' class.
          --
          -- A number of particular actions are possible, as determined
          -- the name of the submit request parameter:
          --
          -- "edit trace" -- step into the edit trace string form
          -- "retrieve trace" -- retrieve the trace string from the server
          -- "send trace" -- send the trace string to the server
          -- "reset" -- reset the values on the form
          -- "default" -- update the form from defaults
          -->

        <struts:form
            action="saveTraceServiceConfig.do"
            name="traceServiceConfigForm"
            focus="<%= traceServiceConfigForm.getFocus() %>"
            type="com.ibm.ejs.sm.web.applicationserver.TraceServiceConfigForm">

            <struts:hidden property="action"/>

            <p class="bread-crumb">
                <img
                    src="./images/<struts:message key='TraceServiceConfig.smallIcon'/>"
                    align="BASELINE"
                    alt=""/>
                <struts:message key="ApplicationServer.traceService.displayName"/>
            </p>

            <struts:ifPropertyEquals name="user" property="showDescription" value="true">
                <struts:message key="ApplicationServer.traceService.description"/>
            </struts:ifPropertyEquals>

            <p class="instruction-text">
                <ibm_logic:info
                    image="additional.information.image"
                    topic="TraceServiceConfig_Details"
                    label="additional.information.text"/>
        </p>

            <table
                border="0"
                cellpadding="0"
                cellspacing="0"
                valign="top"
                width="100%"
                summary="Framing Table">
            <tbody>

                <tr>
                    <td class="framing-table">

                        <table
                            border="0"
                            cellpadding="3"
                            cellspacing="1"
                            width="100%"
                            summary="Properties Table">
                        <tbody>

                            <tr>
                                <th class="column-head" colspan="3" id="header1">
                                    <struts:message key="Properties.title"/>
                                </th>
                            </tr>

                            <!-- Section for the 'enabled' and 'traceString' form attributes (BEGIN) -->
                            <!-- Defect 112845 - start -->
                            <tr valign="top">
                                <td class="table-text" headers="header1" width="15%">
                                    <label for="traceSpecification">
                                        <struts:message key='ApplicationServer.traceService.traceServiceEnable.title'/>
                                    </label>
                                </td>

                                <td class="table-text" headers="header1" width="25%">
                                    <struts:checkbox property="enable"/>
                                    <struts:message key="ApplicationServer.traceService.traceServiceEnable.traceEnablement.tag"/>
                                </td>
                                
                                <struts:ifPropertyEquals name="user" property="showDescription" value="true">
                                    <td class="description-text" headers="header1" width="60%">
                                        <struts:message key="ApplicationServer.traceService.traceServiceEnable.description"/>
                                    </td>
                                </struts:ifPropertyEquals>
                            </tr>
                            
                            <tr valign="top">
                                <td class="table-text" headers="header1" width="15%">
                                    <label for="traceSpecification">
                                        <struts:message key='ApplicationServer.traceService.traceString.title'/>
                                    </label>
                                </td>
                                <td class="table-text" headers="header1" width="25%">
                                    <struts:textarea property="traceString" cols="25" rows="5"/>
                                    <br>

                                    <hr width="100%" size="1" noshade>
                                    <struts:submit styleClass="buttons" property="edit trace">
                                        <struts:message key="button.edit"/>
                                    </struts:submit>

                                    <struts:submit styleClass="buttons" property="retrieve trace">
                                        <struts:message key="button.retrieve"/>
                                    </struts:submit>

                                    <struts:submit styleClass="buttons" property="send trace">
                                        <struts:message key="button.send"/>
                                    </struts:submit>
                                </td>
                                
                                <struts:ifPropertyEquals name="user" property="showDescription" value="true">
                                    <td class="description-text" headers="header1" width="60%">
                                        <struts:message key="ApplicationServer.traceService.traceString.description"/>
                                    </td>
                                </struts:ifPropertyEquals>
                            </tr>
                            <!-- Defect 112845 - end -->
                                 
                            <!-- Section for the 'traceString' form attribute (END) -->

                            <!-- Section for the 'traceOutputSelection', 'traceNamedFile',
                              -- and 'traceOverwriteFlag'attributes (BEGIN)
                              -->
                            <!-- 'stdout' is as specified by 'DrInitializer.stdoutSelection' -->
                            <!-- 'stderr' is as specified by 'DrInitializer.stderrSelection' -->
                            <!-- 'named file' is as specified by 'DrInitializer.namedFileSelection' -->

                            <tr valign="top">
                                <td class="table-text" headers="header1" nowrap width="15%">
                                    <label for="traceOutput">
                                        <struts:message key="ApplicationServer.traceService.traceOutputSelection.title"/>
                                    </label>
                                </td>

                                <td class="table-text" headers="header1" width="25%">

                                    <struts:radio property="traceOutputSelection" value="stdout"/>
                                    <struts:message key="stdout.tag"/>

                                    <br>
                                    <struts:radio property="traceOutputSelection" value="stderr"/>
                                    <struts:message key="stderr.tag"/>

                                    <br>
                                    <struts:radio property="traceOutputSelection" value="named file"/>
                                    <struts:message key="file.tag"/>

                                    <struts:text property="traceNamedFile" size="30"/>

                                    <!-- Can't use this yet -- the named file must exist,
                                         which is not the currect behavious.  I don't know
                                         how to use the file tag to ask for a new file.
                                    <!--struts:file property="traceNamedFile" size="15"/>
                                     -->

                                    <br>
                                    <hr width="100%" size="1" noshade>

                                    <struts:checkbox property="traceOverwriteFlag"/>
                                    <struts:message key="ApplicationServer.traceService.traceNamedFile.enableOverwrite.tag"/>

                                    <hr width="100%" size="1" noshade>
                                    <struts:submit styleClass="buttons" property="view trace log">
                                        <struts:message key="button.view"/>
                                    </struts:submit>

                                </td>

                                <struts:ifPropertyEquals name="user" property="showDescription" value="true">
                                    <td class="description-text" headers="header1" width="60%">
                                        <struts:message key="ApplicationServer.traceService.traceOutputSelection.description"/>
                                    </td>
                                </struts:ifPropertyEquals>

                            </tr>

                            <!-- Section for the 'traceOutputSelection', 'traceNamedFile',
                              -- and 'traceOverwriteFlag'attributes (END)
                              -->

                            <!-- Section for the 'traceHostname' attribute (BEGIN) -->

                            <tr valign="top">
                                <td class="table-text" headers="header1" width="15%">
                                    <label for="diagThreadHostname">
                                        <struts:message key="ApplicationServer.traceService.traceHostname.title"/>
                                    </label>
                                </td>

                                <td class="table-text" headers="header1" width="25%">
                                    <span class="required">*</span>
                                    <struts:text property="traceHostname" size="20"/>
                                </td>

                                <struts:ifPropertyEquals name="user" property="showDescription" value="true">
                                    <td class="description-text" headers="header1" width="60%">
                                        <struts:message key="ApplicationServer.traceService.traceHostname.description"/>
                                    </td>
                                </struts:ifPropertyEquals>
                            </tr>

                            <!-- Section for the 'tracePort' attribute (END) -->

                            <!-- Section for the 'tracePort' attribute (BEGIN) -->

                            <tr valign="top">
                                <td class="table-text" headers="header1" width="15%">
                                    <label for="diagThreadPort">
                                        <struts:message key="ApplicationServer.traceService.tracePort.title"/>
                                    </label>
                                </td>

                                <td class="table-text" headers="header1" width="25%">
                                    <span class="required">*</span>
                                    <struts:text property="tracePort" size="20"/>
                                </td>

                                <struts:ifPropertyEquals name="user" property="showDescription" value="true">
                                    <td class="description-text" headers="header1" width="60%">
                                        <struts:message key="ApplicationServer.traceService.tracePort.description"/>
                                    </td>
                                </struts:ifPropertyEquals>
                            </tr>

                            <!-- Section for the 'tracePort' attribute (END) -->

                            <!-- Section for advanced settings (BEGIN) -->

                            <tr>
                                <th colspan="3" class="column-head" id="header2">
                                    <struts:message key="advanced.settings"/>
                                </th>
                            </tr>

                            <tr valign="top">
                                <td colspan="2" class="table-text" headers="header2">
                                    <img
                                        src="./images/<struts:message key='SystemProperty.smallIcon'/>"
                                        align="BASELINE"
                                        alt=""/>
                                    </img>
                                    <% String clickActionURI = "showCollection.do?id=dynamicProps&parentId=" +
                                                               traceServiceConfigRefId; %>
                                    <a href='<%= clickActionURI %>'>
                                        <struts:message key="ServiceConfig.dynamicProps.displayName"/>
                                    </a>
                                </td>

                                <struts:ifPropertyEquals name="user" property="showDescription" value="true">
                                    <td class="description-text" headers="header2" width="60%">
                                        <struts:message key="ServiceConfig.dynamicProps.description"/>
                                    </td>
                                </struts:ifPropertyEquals>
                            </tr>

                            <!-- Section for advanced settings (END) -->

                            <!-- Section for buttons (BEGIN) -->

                            <tr valign="top">
                                <th class="column-head-name" colspan="3">

                                    <struts:submit styleClass="buttons">
                                        <struts:message key="button.ok"/>
                                    </struts:submit>

                                    <!-- Cannot use a struts 'reset' tag, because
                                         of an interaction with 'default'.  The normal
                                         struts reset is copies values from the form.
                                         In this case, the reset must copy values from
                                         the underlying config. -->

                                    <struts:submit styleClass="buttons" property="reset">
                                        <struts:message key="button.reset"/>
                                    </struts:submit>

                                    <struts:submit styleClass="buttons" property="default">
                                        <struts:message key="button.default"/>
                                    </struts:submit>

                                    <struts:cancel styleClass="buttons">
                                        <struts:message key="button.cancel"/>
                                    </struts:cancel>

                                </th>
                            </tr>

                            <!-- Section for buttons (END) -->

                        </tbody>
                        </table>
                    </td>
                </tr>
            </tbody>
            </table>

        </struts:form>

    </struts:ifPropertyNotEquals>

</body>
</html>
