<?xml version='1.0'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


   <xsl:template match="/">
    <HTML>
        <HEAD>
        <title>Deployment Descriptor View</title>

        <STYLE>
	.tag-name { color: red;}
	.tag-border { color: blue;}
	.tag-value { color: black; font-weight:bold}
        .indent {margin-left:1em}
        .indent2 {margin-left:2em}
        .indent3 {margin-left:3em}
        .framing-table {background-color: #CCCCCC}
        .secondary-column-head {font-family: Arial,Helvetica, sans-serif; font-weight:bold; text-decoration:underline;text-align: left; color: #000000;}
        .bread-crumb {  font-family: Arial,Helvetica, sans-serif; font-size: 100%; font-weight: bold;  margin-top: .5em}
        .column-head {  font-family: Arial,Helvetica, sans-serif; font-size: 90%; font-weight:bold; text-align: left; color: #FFFFFF; background-color: #0066CC ; }
        .column-head-name {  font-family: Arial,Helvetica, sans-serif; font-weight:bold; text-align: left; color: #000000; background-color: #CCCCCC}
        .description-text {  font-family: Arial,Helvetica, sans-serif; font-size: 75%; background-color: #FFFFFF}
        .table-text {  font-family: Arial,Helvetica, sans-serif; font-size: 90%; background-color: #FFFFFF; font-weight:normal;}
        .table-text-left {  font-family: Arial,Helvetica, sans-serif; font-size: 90%; background-color: #FFFFEE; font-weight:normal;}
        .primary-field1 {margin-left:1em ; color: black; font-weight:bold}
        </STYLE>

        </HEAD>
        <BODY bgcolor="#ffffff" style="font-family='sans-serif'">

                <xsl:apply-templates select="web-app"/>



      </BODY>
    </HTML>
   </xsl:template>


   <xsl:template match="web-app">

    <p class="bread-crumb">Web.xml</p>
    <table border="0" cellpadding="0" cellspacing="0" width="100%"  summary="List framing table">
    <tbody>
    <tr class="framing-table">
      <td valign="top"  align="center" class="framing-table">
   <table border="0" cellpadding="4" cellspacing="1" width="100%"  summary="List framing table">
    <tbody>
          <tr valign="top">
            <th colspan="2" valign="top" class="column-head-name">
       	        <div class="indent">Web-App: <xsl:value-of select="display-name"/></div>
            </th>
          </tr>
          <xsl:if test="description">
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent2">description</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="description"/>
            </td>
          </tr>
	  </xsl:if>
    </tbody>
    </table>
    </td>
    </tr>
    </tbody>
    </table>
    <p/>

    <xsl:if test="context-param">
    <table border="0" cellpadding="0" cellspacing="0" width="100%"  summary="List framing table">
    <tbody>
    <tr class="framing-table">
      <td valign="top"  align="center" class="framing-table">

        <table border="0" cellpadding="4" cellspacing="1" width="100%" summary="List table">
          <tr>
            <th colspan="2" valign="top" class="column-head">
       	        context-params
            </th>
          </tr>
        <xsl:apply-templates select="context-param"/>
        </table>
      </td>
    </tr>
    </tbody>
    </table>
    <p/>
    </xsl:if>

    <xsl:if test="servlet">
    <table border="0" cellpadding="0" cellspacing="0" width="100%"  summary="List framing table">
    <tbody>
    <tr class="framing-table">
      <td valign="top"  align="center" class="framing-table">

        <table border="0" cellpadding="4" cellspacing="1" width="100%" summary="List table">
          <tr>
            <th colspan="2" valign="top" class="column-head">
       	        Servlets
            </th>
          </tr>
        <xsl:apply-templates select="servlet"/>
        </table>
      </td>
    </tr>
    </tbody>
    </table>
    <p/>
    </xsl:if>


    <xsl:if test="servlet-mapping">
    <table border="0" cellpadding="0" cellspacing="0" width="100%"  summary="List framing table">
    <tbody>
    <tr class="framing-table">
      <td valign="top"  align="center" class="framing-table">

        <table border="0" cellpadding="4" cellspacing="1" width="100%" summary="List table">
          <tr>
            <th colspan="2" valign="top" class="column-head">
       	        Servlet-Mappings
            </th>
          </tr>
        <xsl:apply-templates select="servlet-mapping"/>
        </table>
      </td>
    </tr>
    </tbody>
   </table>
    <p/>
   </xsl:if>

    <xsl:if test="session-config">
    <table border="0" cellpadding="0" cellspacing="0" width="100%"  summary="List framing table">
    <tbody>
    <tr class="framing-table">
      <td valign="top"  align="center" class="framing-table">

        <table border="0" cellpadding="4" cellspacing="1" width="100%" summary="List table">
          <tr>
            <th colspan="2" valign="top" class="column-head">
       	        Session Config
            </th>
          </tr>
        <xsl:apply-templates select="session-config"/>
        </table>
      </td>
    </tr>
    </tbody>
    </table>
    <p/>
    </xsl:if>

    <xsl:if test="mime-mapping">
    <table border="0" cellpadding="0" cellspacing="0" width="100%"  summary="List framing table">
    <tbody>
    <tr class="framing-table">
      <td valign="top"  align="center" class="framing-table">

        <table border="0" cellpadding="4" cellspacing="1" width="100%" summary="List table">
          <tr>
            <th colspan="2" valign="top" class="column-head">
       	        Mime-mapping
            </th>
          </tr>
        <xsl:apply-templates select="mime-mapping"/>
        </table>
      </td>
    </tr>
    </tbody>
    </table>
    <p/>
    </xsl:if>


    <xsl:if test="welcome-file-list">
    <table border="0" cellpadding="0" cellspacing="0" width="100%"  summary="List framing table">
    <tbody>
    <tr class="framing-table">
      <td valign="top"  align="center" class="framing-table">

        <table border="0" cellpadding="4" cellspacing="1" width="100%" summary="List table">
          <tr>
            <th colspan="2" valign="top" class="column-head">
       	        Welcome File List
            </th>
          </tr>
        <xsl:apply-templates select="welcome-file-list"/>
        </table>
      </td>
    </tr>
    </tbody>
    </table>
    <p/>
    </xsl:if>

    <xsl:if test="error-page">
    <table border="0" cellpadding="0" cellspacing="0" width="100%"  summary="List framing table">
    <tbody>
    <tr class="framing-table">
      <td valign="top"  align="center" class="framing-table">

        <table border="0" cellpadding="4" cellspacing="1" width="100%" summary="List table">
          <tr>
            <th colspan="2" valign="top" class="column-head">
       	        error-page
            </th>
          </tr>
        <xsl:apply-templates select="error-page"/>
        </table>
      </td>
    </tr>
    </tbody>
    </table>
    <p/>
    </xsl:if>


    <xsl:if test="taglib">
    <table border="0" cellpadding="0" cellspacing="0" width="100%"  summary="List framing table">
    <tbody>
     <tr class="framing-table">
      <td valign="top"  align="center" class="framing-table">

        <table border="0" cellpadding="4" cellspacing="1" width="100%" summary="List table">
          <tr>
            <th colspan="2" valign="top" class="column-head">
       	        Taglib
            </th>
          </tr>
        <xsl:apply-templates select="taglib"/>
        </table>
      </td>
    </tr>
    </tbody>
    </table>
    <p/>
    </xsl:if>

    <xsl:if test="resource-ref">
    <table border="0" cellpadding="0" cellspacing="0" width="100%"  summary="List framing table">
    <tbody>
     <tr class="framing-table">
      <td valign="top"  align="center" class="framing-table">

        <table border="0" cellpadding="4" cellspacing="1" width="100%" summary="List table">
          <tr>
            <th colspan="2" valign="top" class="column-head">
       	        resource-ref
            </th>
          </tr>
        <xsl:apply-templates select="resource-ref"/>
        </table>
      </td>
    </tr>
    </tbody>
    </table>
    <p/>
    </xsl:if>


    <xsl:if test="security-constraint">
    <table border="0" cellpadding="0" cellspacing="0" width="100%"  summary="List framing table">
    <tbody>
     <tr class="framing-table">
      <td valign="top"  align="center" class="framing-table">

        <table border="0" cellpadding="4" cellspacing="1" width="100%" summary="List table">
          <tr>
            <th colspan="2" valign="top" class="column-head">
                Security-constraint
            </th>
          </tr>
        <xsl:apply-templates select="security-constraint"/>
        </table>
      </td>
    </tr>
    </tbody>
    </table>
    <p/>
    </xsl:if>

    <xsl:if test="login-config">
    <table border="0" cellpadding="0" cellspacing="0" width="100%"  summary="List framing table">
    <tbody>
      <tr class="framing-table">
      <td valign="top"  align="center" class="framing-table">

        <table border="0" cellpadding="4" cellspacing="1" width="100%" summary="List table">
          <tr>
            <th colspan="2" valign="top" class="column-head">
                login-config
            </th>
          </tr>
        <xsl:apply-templates select="login-config"/>
        </table>
      </td>
    </tr>
    </tbody>
    </table>
    <p/>
    </xsl:if>

    <xsl:if test="security-role">
    <table border="0" cellpadding="0" cellspacing="0" width="100%"  summary="List framing table">
    <tbody>
      <tr class="framing-table">
      <td valign="top"  align="center" class="framing-table">

        <table border="0" cellpadding="4" cellspacing="1" width="100%" summary="List table">
          <tr>
            <th colspan="2" valign="top" class="column-head">
                Security-role
            </th>
          </tr>
        <xsl:apply-templates select="security-role"/>
        </table>
      </td>
    </tr>
  </tbody>
  </table>
  <p/>
  </xsl:if>


  <xsl:if test="env-entry">
    <table border="0" cellpadding="0" cellspacing="0" width="100%"  summary="List framing table">
    <tbody>
      <tr class="framing-table">
      <td valign="top"  align="center" class="framing-table">

        <table border="0" cellpadding="4" cellspacing="1" width="100%" summary="List table">
          <tr>
            <th colspan="2" valign="top" class="column-head">
                env-entry
            </th>
          </tr>
        <xsl:apply-templates select="env-entry"/>
        </table>
      </td>
    </tr>
  </tbody>
  </table>
  <p/>
  </xsl:if>


  <xsl:if test="ejb-ref">
    <table border="0" cellpadding="0" cellspacing="0" width="100%"  summary="List framing table">
    <tbody>
      <tr class="framing-table">
      <td valign="top"  align="center" class="framing-table">

        <table border="0" cellpadding="4" cellspacing="1" width="100%" summary="List table">
          <tr>
            <th colspan="2" valign="top" class="column-head">
                ejb-ref
            </th>
          </tr>
        <xsl:apply-templates select="ejb-ref"/>
        </table>
      </td>
    </tr>
  </tbody>
  </table>
  <p/>
  </xsl:if>

  </xsl:template>



<xsl:template match="context-param">
          <tr valign="top">
            <th colspan="2" valign="top" class="column-head-name">
       	        <div class="indent">context-param-name: <xsl:value-of select="param-name"/></div>
            </th>
          </tr>
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent2">param-value:</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="param-value"/>
            </td>
            </tr>
            <xsl:if test="description">
            <tr valign="top">
            <td class="table-text">
                <xsl:value-of select="description"/>
            </td>
            </tr>
            </xsl:if>
</xsl:template>


  <xsl:template match="servlet">


          <tr valign="top">
            <th colspan="2" valign="top" class="column-head-name">
       	        <div class="indent">Servlet: <xsl:value-of select="servlet-name"/></div>
            </th>
          </tr>
          <xsl:if test="description">
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent2">description</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="description"/>
            </td>
          </tr>
          </xsl:if>
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent2">Class</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="servlet-class"/>
            </td>
          </tr>


          <xsl:if test="load-on-startup">
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent2">Load on startup:</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="load-on-startup"/>
            </td>
          </tr>
          </xsl:if>

          <xsl:if test="init-param">
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent2">Init Params:</div>
            </td>
            <td class="table-text">
                <table width="100%">
                <tr>
                <th class="secondary-column-head">Name</th>
                <th class="secondary-column-head">Value</th>
                </tr>

                <xsl:apply-templates select="init-param"/>

                </table>
            </td>
          </tr>
          </xsl:if>




  </xsl:template>

<xsl:template match="init-param">
      	
        <tr>
                <td><xsl:value-of select="param-name"/></td>
                <td><xsl:value-of select="param-value"/></td>
        </tr>

</xsl:template>

<xsl:template match="servlet-mapping">
          <tr valign="top">
            <th colspan="2" valign="top" class="column-head-name">
       	        <div class="indent">Servlet: <xsl:value-of select="servlet-name"/></div>
            </th>
          </tr>
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent2">URL Pattern:</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="url-pattern"/>
            </td>
          </tr>
</xsl:template>

<xsl:template match="session-config">
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent2">Session-Timeout</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="session-timeout"/>
            </td>
          </tr>
</xsl:template>

<xsl:template match="mime-mapping">
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent2">extension</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="extension"/>
            </td>
          </tr>
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent2">mime-type</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="mime-type"/>
            </td>
          </tr>
</xsl:template>


<xsl:template match="welcome-file-list">
	<xsl:for-each select="welcome-file">
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent2">welcome-file</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="."/>
            </td>
          </tr>
	</xsl:for-each>
</xsl:template>

<xsl:template match="error-page">
        <xsl:if test="error-code">
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent2">error-code</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="error-code"/>
            </td>
          </tr>
         </xsl:if>
         <xsl:if test="exception-type">
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent2">exception-type</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="exception-type"/>
            </td>
          </tr>
         </xsl:if>
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent2">location</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="location"/>
            </td>
          </tr>
</xsl:template>


<xsl:template match="taglib">
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent2">taglib-uri</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="taglib-uri"/>
            </td>
          </tr>
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent2">taglib-location</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="taglib-location"/>
            </td>
          </tr>
</xsl:template>

<xsl:template match="resource-ref">
        <xsl:if test="description">
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent2">description</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="description"/>
            </td>
          </tr>
         </xsl:if>
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent2">res-ref-name</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="res-ref-name"/>
            </td>
          </tr>
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent2">res-type</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="res-type"/>
            </td>
          </tr>
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent2">res-auth</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="res-auth"/>
            </td>
          </tr>
</xsl:template>


<xsl:template match="security-constraint">
<xsl:apply-templates select="web-resource-collection"/>
<xsl:apply-templates select="auth-constraint"/>
</xsl:template>

<xsl:template match="web-resource-collection">
          <tr valign="top">
            <th colspan="2" valign="top" class="column-head-name">
       	        <div class="indent">web-resource-name: <xsl:value-of select="web-resource-name"/></div>
            </th>
          </tr>
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent3">url-pattern</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="url-pattern"/>
            </td>
          </tr>
          <tr valign="top">
                <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent3">http-method</div>
                </td>
                <td class="table-text">
                   <xsl:apply-templates select="http-method"/>
                </td>
          </tr>
</xsl:template>

<xsl:template match="http-method">
  <xsl:value-of select="."/>
  <xsl:if test="position()!=last()">, </xsl:if>
</xsl:template>

<xsl:template match="auth-constraint">
        <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent3">role-name</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="role-name"/>
            </td>
          </tr>
</xsl:template>

<xsl:template match="login-config">
        <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent">auth-method</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="auth-method"/>
            </td>
          </tr>
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent">realm-name</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="realm-name"/>
            </td>
          </tr>
        <xsl:if test="form-login-config">
          <tr valign="top">
            <td colspan="2" valign="top" class="table-text">
       	        <div class="indent">form-login-config</div>
            </td>
          </tr>
          <xsl:apply-templates select="form-login-config"/>
	</xsl:if>
</xsl:template>

<xsl:template match="form-login-config">
        <xsl:if test="form-login-page">
        <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent2">form-login-page</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="form-login-page"/>
            </td>
          </tr>
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent2">form-error-page</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="form-error-page"/>
            </td>
          </tr>
	</xsl:if>
</xsl:template>

<xsl:template match="security-role">
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="primary-field1">role-name</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="role-name"/>
            </td>
          </tr>
        <xsl:if test="description">
        <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent">description</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="description"/>
            </td>
          </tr>
          </xsl:if>
</xsl:template>

<xsl:template match="env-entry">
        <xsl:if test="description">
        <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent">description</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="description"/>
            </td>
          </tr>
          </xsl:if>
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent">env-entry-name</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="env-entry-name"/>
            </td>
          </tr>
          <xsl:if test="env-entry-value">
            <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent">env-entry-value</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="env-entry-value"/>
            </td>
            </tr>
          </xsl:if>
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent">env-entry-type</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="env-entry-type"/>
            </td>
          </tr>

</xsl:template>

<xsl:template match="ejb-ref">
        <xsl:if test="description">
        <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent">description</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="description"/>
            </td>
          </tr>
          </xsl:if>
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent">ejb-ref-name</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="ejb-ref-name"/>
            </td>
          </tr>
            <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent">ejb-ref-type</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="ejb-ref-type"/>
            </td>
            </tr>
          <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent">home</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="home"/>
            </td>
          </tr>
            <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent">remote</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="remote"/>
            </td>
            </tr>
          <xsl:if test="ejb-link">
            <tr valign="top">
            <td class="table-text-left" width="25%" nowrap="true">
                <div class="indent">ejb-link</div>
            </td>
            <td class="table-text">
                <xsl:value-of select="ejb-link"/>
            </td>
            </tr>
          </xsl:if>


</xsl:template>

</xsl:stylesheet>

